package com.ruoyi.wgz.service;

import com.ruoyi.wgz.domain.WgzScoreRecord;
import com.ruoyi.wgz.bo.WgzScoreRecordQueryBo;
import com.ruoyi.common.core.mybatisplus.core.IServicePlus;
import com.ruoyi.common.core.page.TableDataInfo;

import java.util.Collection;
import java.util.List;

/**
 * 务工者评分记录Service接口
 *
 * @author ruoyi
 * @date 2025-02-21
 */
public interface IWgzScoreRecordService extends IServicePlus<WgzScoreRecord> {
    /**
     * 查询单个
     * @return
     */
    WgzScoreRecord queryById(Long id);

    /**
     * 查询列表
     */
    TableDataInfo<WgzScoreRecord> queryPageList(WgzScoreRecordQueryBo bo);

    /**
     * 查询列表
     */
    List<WgzScoreRecord> queryList(WgzScoreRecordQueryBo bo);

    /**
     * 根据新增业务对象插入务工者评分记录
     * @param bo 务工者评分记录新增业务对象
     * @return
     */
    Boolean insert(WgzScoreRecord bo);

    /**
     * 根据编辑业务对象修改务工者评分记录
     * @param bo 务工者评分记录编辑业务对象
     * @return
     */
    Boolean update(WgzScoreRecord bo);

    /**
     * 校验并删除数据
     * @param ids 主键集合
     * @param isValid 是否校验,true-删除前校验,false-不校验
     * @return
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
